import { useChartData } from '../context/ChartContext';
import { useActiveSpectrum } from './useActiveSpectrum';
export const defaultRangesViewState = {
    showPeaks: false,
    showMultiplicityTrees: false,
    showIntegrals: false,
    showIntegralsValues: true,
    showJGraph: false,
    displayingMode: 'spread',
    integralsScaleRatio: 1,
    showAssignmentsLabels: false,
};
export function useActiveSpectrumRangesViewState() {
    const activeSpectrum = useActiveSpectrum();
    const { view: { ranges }, } = useChartData();
    if (activeSpectrum?.id &&
        activeSpectrum?.selected &&
        ranges[activeSpectrum?.id]) {
        return ranges[activeSpectrum?.id];
    }
    else {
        return defaultRangesViewState;
    }
}
