import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
/** @jsxImportSource @emotion/react */
import { css } from '@emotion/react';
import { useFormikContext } from 'formik';
import { useCallback, useMemo, memo, useEffect } from 'react';
import { FaPlus } from 'react-icons/fa';
import Tab from '../../../../elements/Tab/Tab';
import Tabs from '../../../../elements/Tab/Tabs';
import { DeltaInput } from './DeltaInput';
import { InfoBlock } from './InfoBlock';
import { NewSignalTab } from './NewSignalTab';
import SignalTab from './SignalTab';
const tabStylesAddition = css `
  color: red;
`;
const tabStyles = css `
  padding: 0 1.5rem !important;
  height: 40px;
`;
const newTabStyles = css `
  padding: 0 !important;
  height: 40px;
`;
function SignalsContent({ range }) {
    const { values, setFieldValue, errors, } = useFormikContext();
    const tapClickHandler = useCallback(({ tabid }) => {
        setFieldValue('signalIndex', tabid);
    }, [setFieldValue]);
    const handleDeleteSignal = useCallback(({ tabid }) => {
        const _signals = values.signals.filter((_signal, i) => i !== Number(tabid));
        setFieldValue('signals', _signals);
    }, [setFieldValue, values.signals]);
    useEffect(() => {
        setFieldValue('signalIndex', values.signals.length > 0 ? (values.signals.length - 1).toString() : '-1');
    }, [setFieldValue, values.signals.length]);
    const tabContainsErrors = useCallback((i) => {
        return !!errors?.signals?.[i];
    }, [errors]);
    const signalFormTabs = useMemo(() => {
        const signalTabs = values.signals.length > 0
            ? values.signals.map((signal, i) => (_jsx(Tab
            // eslint-disable-next-line react/no-array-index-key
            , { tabid: `${i}`, tabstyles: tabContainsErrors(i) ? tabStylesAddition : tabStyles, canDelete: true, render: () => _jsx(DeltaInput, { signal: signal, index: i }), children: _jsx(SignalTab, { index: i }) }, `signalForm${i}`)))
            : [];
        const addSignalTab = (_jsx(Tab, { tabid: "-1", canDelete: false, tabstyles: newTabStyles, render: () => (_jsxs("div", { style: {
                    display: 'flex',
                    alignItems: 'center',
                    padding: '0 1.5rem',
                    fontSize: '12px',
                    color: '#28ba62',
                    textWrap: 'nowrap',
                }, children: [_jsx(FaPlus, { style: { display: 'inline-block' } }), _jsx("span", { style: { display: 'inline-block' }, children: "New Signal" })] })), children: _jsx(NewSignalTab, { range: range }) }, "addSignalTab"));
        return [...signalTabs, addSignalTab];
    }, [range, tabContainsErrors, values.signals]);
    return (_jsxs("div", { children: [_jsx(InfoBlock, {}), _jsx(Tabs, { activeTab: values.signalIndex, onClick: tapClickHandler, onDelete: handleDeleteSignal, children: signalFormTabs })] }));
}
export default memo(SignalsContent);
