import { Draft } from 'immer';
import { ZoomOptions } from '../../EventsTrackers/BrushTracker';
import { State } from '../Reducer';
export declare const ZOOM_TYPES: {
    readonly HORIZONTAL: "HORIZONTAL";
    readonly VERTICAL: "VERTICAL";
    readonly STEP_HORIZONTAL: "STEP_HORIZONTAL";
    readonly FULL: "FULL";
};
export type ZoomType = keyof typeof ZOOM_TYPES;
declare function toScaleRatio(options: ZoomOptions, zoomOptions?: ScaleRationOptions): number;
interface ScaleRationOptions {
    factor?: number;
    invert?: boolean;
}
declare function wheelZoom(options: ZoomOptions, domain: number[], scaleOptions?: ScaleRationOptions): number[];
declare function setZoom(draft: Draft<State>, options?: {
    scale?: number;
    spectrumID?: string;
}): void;
export { setZoom, wheelZoom, toScaleRatio };
