import { DataXY } from 'cheminfo-types';
export default function detectSignals(data: DataXY<Float64Array>, options: {
    from: number;
    to: number;
    nucleus: string;
    frequency: number;
}): {
    multiplicity: string;
    kind: string;
    delta: number;
    js: never[];
    peaks: import("ml-gsd").GSDPeakOptimized[];
    diaIDs: never[];
}[] | {
    multiplicity: string;
    kind: string;
    delta: any;
    js: {
        value: number;
        multiplicity: "string";
    }[];
    peaks: import("nmr-processing").NMRPeak1DWithShapeID[];
    diaIDs: never[];
}[] | {
    delta: number;
    id?: string | undefined;
    js: import("nmr-processing").Jcoupling[];
    atoms?: number[] | undefined;
    assignment?: string | undefined;
    kind?: string | undefined;
    multiplicity: string;
    diaIDs?: string[] | undefined;
    nbAtoms?: number | undefined;
    integration?: number | undefined;
    peaks?: import("nmr-processing").NMRPeak1D[] | undefined;
    statistic?: {
        mean: number;
        sd: number;
        min: number;
        max: number;
        nb: number;
    } | undefined;
}[];
